complexType "NettedTradeCashflowsAsserted"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 15 elements
Defined: | globally in fpml-reconciliation-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, validation*, isCorrection?, (parentCorrelationId?, correlationId?, sequenceNumber?)?, onBehalfOf[0..4]?, asOfDate?, reportContents?, tradeCashflowsId?, tradeIdentifyingItems*, adjustedPaymentDate?, payment*, matchId?, party*
</...>

Content Model Elements (15):

  adjustedPaymentDate (defined in NettedTradeCashflows.model group),
  asOfDate (defined in TradeCashflowsDefinition.model group),
  correlationId,
  header (defined in RequestMessage complexType),
  isCorrection (defined in CorrectableRequestMessage complexType),
  matchId (in nettedTradeCashflowsAsserted),
  onBehalfOf (defined in OnBehalfOf.model group),
  parentCorrelationId,
  party (in nettedTradeCashflowsAsserted),
  payment (defined in NettedTradeCashflows.model group),
  reportContents (defined in TradeCashflowsDefinition.model group),
  sequenceNumber (defined in Sequence.model group),
  tradeCashflowsId (defined in TradeCashflowsDefinition.model group),
  tradeIdentifyingItems (defined in NettedTradeCashflows.model group),
  validation

All Direct / Indirect Based Elements (1):

  nettedTradeCashflowsAsserted

Known Usage Locations

- As direct type of elements (1):
  nettedTradeCashflowsAsserted

Annotation
Message for assertion of payments to be reconciled. Notification message that submits cashflows that need to be reconciled per payment date.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) CorrectableRequestMessage (extension) NettedTradeCashflowsAsserted

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="NettedTradeCashflowsAsserted"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:group ref="TradeCashflowsDefinition.model"/> <xsd:group ref="NettedTradeCashflows.model"/> <xsd:element minOccurs="0" name="matchId" type="MatchId"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="party" type="Party"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/15)
matchId

  Type: | MatchId, simple content

  A unique identifier assigned by either party, or matching service, as agreed, to each set of matched cashflows.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="matchId" type="MatchId"/>

party

  Type: | Party, complex content

  One party element for each of the principal parties and any other party that is referenced.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="party" type="Party"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.